<?php

  $Position   = '../../../';
  require_once($Position.'config/config.php');
  require_once($Position.'config/conexion.php');
  require_once($Position.'config/user.php');
  require_once($Position.'funciones/acces.php');
  require_once($Position.'funciones/logout.php');
  require_once($Position.'funciones/funciones.php');
  require_once($Position.'funciones/extras.php');

  header("Content-type: application/vnd.ms-excel");
  header("Content-Disposition: attachment; filename=inventario.xls");
  header("Pragma: no-cache");
  header("Expires: 0");
  echo "\xEF\xBB\xBF"; //UTF-8 BOM
  echo $out;

  //Buscador

  $Where = "
    WHERE
      pro.Id != '0'
  ";

  $Bus = '?Filtrar=Ok';

  if( $_GET['Filtrar'] == 'Ok' ){

    //Clave
    if( $_GET['Clave'] ){
      $FilCla = $_GET['Clave'];
      $Where .= "
        AND pro.ClaveProducto = '$FilCla'
      ";
      $Bus .= "&Clave=".$FilCla;
    }
    //End Clave

    //Producto
    if( $_GET['Producto'] ){
      $FilPro = $_GET['Producto'];
      $Where .= "
        AND pr.Nombre LIKE '$FilPro%'
      ";
      $Bus .= "&Producto=".$FilPro;
    }
    //End Producto

    //Almacen
    if( $_GET['Almacen'] ){
      $FilAlm = $_GET['Almacen'];
      $Where .= "
        AND alm.Id = '$FilAlm%'
      ";
      $Bus .= "&Almacen=".$FilAlm;
    }
    //End Almacen

    //Metodo de Pago
    if( $_GET['Metodo'] ){
      $FilMet = $_GET['Metodo'];
      $Left .= "
        LEFT JOIN KB_Pagos pag ON pag.Fk_Venta = ven.Id
      ";
      $Where .= "
        AND pag.Fk_Metodo = '$FilMet'
      ";
      $Bus .= "&Metodo=".$FilMet;
    }
    //End Metodo de Pago

  }else{


  }

  //End Buscador

  //Inventario de Productos
  $Query = "
    SELECT
      pro.Id,
      alm.Nombre AS Almacen,
      pro.ClaveProducto,
      pro.Existencia,
      pr.Nombre
    FROM KB_ProductosInventario pro
    LEFT JOIN KB_Productos pr ON pr.Clave = pro.ClaveProducto
    LEFT JOIN KB_Almacenes alm ON alm.Id = pro.Fk_Almacen
      $Where
    ORDER BY pro.Id DESC
  ";
  $Items = $mysqli->query($Query);

?>

<table>
  <thead>
    <tr>
      <th>Almacen</th>
      <th>Clave</th>
      <th>Producto</th>
      <th>Cantidad</th>
    </tr>
  </thead>
  <tbody>
    <?php
      //Productos
      mysqli_data_seek($Items, 0);
      while($Item = mysqli_fetch_array($Items)) {
    ?>
      <tr>

        <!-- Almacen -->
        <td>
          <?php echo $Item[Almacen]; ?>
        </td>
        <!-- End Almacen -->

        <!-- Clave Producto -->
        <td>
          <?php echo $Item[ClaveProducto]; ?>
        </td>
        <!-- End Clave Producto -->

        <!-- Producto -->
        <td>
          <?php echo $Item[Nombre]; ?>
        </td>
        <!-- End Producto -->

        <!-- Existencia -->
        <td style="width:100px;" class="text-right">
          <?php echo $Item[Existencia]; ?>
        </td>
        <!-- End Existencia -->

      </tr>
    <?php } ?>
  </tbody>
</table>
